Rename server-regression.sh --> ffserver-regression.sh for consistency.
authorDiego Biurrun <diego@biurrun.de>
Mon, 30 Mar 2009 10:05:00 +0000 (10:05 +0000)
committerDiego Biurrun <diego@biurrun.de>
Mon, 30 Mar 2009 10:05:00 +0000 (10:05 +0000)
Originally committed as revision 18243 to svn://svn.ffmpeg.org/ffmpeg/trunk

Makefile
tests/ffserver-regression.sh [new file with mode: 0755]
tests/server-regression.sh [deleted file]

index 50fca51..6c9b78d 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -282,7 +282,7 @@ ffservertest: ffserver$(EXESUF) tests/vsynth1/00.pgm tests/asynth1.sw
        @echo "Unfortunately ffserver is broken and therefore its regression"
        @echo "test fails randomly. Treat the results accordingly."
        @echo
-       $(SRC_PATH)/tests/server-regression.sh $(FFSERVER_REFFILE) $(SRC_PATH)/tests/ffserver.conf
+       $(SRC_PATH)/tests/ffserver-regression.sh $(FFSERVER_REFFILE) $(SRC_PATH)/tests/ffserver.conf
 
 tests/vsynth1/00.pgm: tests/videogen$(HOSTEXESUF)
        mkdir -p tests/vsynth1
diff --git a/tests/ffserver-regression.sh b/tests/ffserver-regression.sh
new file mode 100755 (executable)
index 0000000..a0a1ecf
--- /dev/null
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# Make sure that the data directory exists
+mkdir -p tests/data
+
+#perl -e 'chomp($wd = `pwd`); print map { s!tests/data/!!; "<Stream $_>\nFile $wd/tests/data/$_\n</Stream>\n\n" } @ARGV' tests/data/a* >> tests/data/ffserver.conf
+#perl -e 'chomp($wd = `pwd`); print map { s!tests/data/!!; "<Stream $_.asf>\nFile $wd/tests/data/$_\n</Stream>\n\n" } @ARGV' tests/data/a* >> tests/data/ffserver.conf
+
+FILES=`sed -n 's/^[^#]*<Stream \(.*\)>.*/\1/p' $2 | grep -v html`
+
+rm -f tests/feed1.ffm
+./ffserver -d -f "$2" 2> /dev/null &
+FFSERVER_PID=$!
+echo "Waiting for feeds to startup..."
+sleep 2
+(
+    cd tests/data || exit $?
+    rm -f ff-*;
+    WGET_OPTIONS="--user-agent=NSPlayer -q --proxy=off -e verbose=off -e server_response=off"
+    for file in $FILES; do
+        if [ `expr $file : "a-*"` != 0 ]; then
+            wget $WGET_OPTIONS -O - http://localhost:9999/$file > ff-$file
+        else
+            wget $WGET_OPTIONS -O - http://localhost:9999/$file?date=19700101T000000Z | dd bs=1 count=20000 > ff-$file 2>/dev/null
+        fi
+        MDFILES="$MDFILES ff-$file"
+    done
+    wait
+    # the status page is always different
+    md5sum $MDFILES > ffserver.regression
+)
+kill $FFSERVER_PID
+wait > /dev/null 2>&1
+rm -f tests/feed1.ffm
+if diff -u tests/data/ffserver.regression "$1" ; then
+    echo
+    echo Server regression test succeeded.
+    exit 0
+else
+    echo
+    echo Server regression test: Error.
+    exit 1
+fi
diff --git a/tests/server-regression.sh b/tests/server-regression.sh
deleted file mode 100755 (executable)
index a0a1ecf..0000000
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-# Make sure that the data directory exists
-mkdir -p tests/data
-
-#perl -e 'chomp($wd = `pwd`); print map { s!tests/data/!!; "<Stream $_>\nFile $wd/tests/data/$_\n</Stream>\n\n" } @ARGV' tests/data/a* >> tests/data/ffserver.conf
-#perl -e 'chomp($wd = `pwd`); print map { s!tests/data/!!; "<Stream $_.asf>\nFile $wd/tests/data/$_\n</Stream>\n\n" } @ARGV' tests/data/a* >> tests/data/ffserver.conf
-
-FILES=`sed -n 's/^[^#]*<Stream \(.*\)>.*/\1/p' $2 | grep -v html`
-
-rm -f tests/feed1.ffm
-./ffserver -d -f "$2" 2> /dev/null &
-FFSERVER_PID=$!
-echo "Waiting for feeds to startup..."
-sleep 2
-(
-    cd tests/data || exit $?
-    rm -f ff-*;
-    WGET_OPTIONS="--user-agent=NSPlayer -q --proxy=off -e verbose=off -e server_response=off"
-    for file in $FILES; do
-        if [ `expr $file : "a-*"` != 0 ]; then
-            wget $WGET_OPTIONS -O - http://localhost:9999/$file > ff-$file
-        else
-            wget $WGET_OPTIONS -O - http://localhost:9999/$file?date=19700101T000000Z | dd bs=1 count=20000 > ff-$file 2>/dev/null
-        fi
-        MDFILES="$MDFILES ff-$file"
-    done
-    wait
-    # the status page is always different
-    md5sum $MDFILES > ffserver.regression
-)
-kill $FFSERVER_PID
-wait > /dev/null 2>&1
-rm -f tests/feed1.ffm
-if diff -u tests/data/ffserver.regression "$1" ; then
-    echo
-    echo Server regression test succeeded.
-    exit 0
-else
-    echo
-    echo Server regression test: Error.
-    exit 1
-fi